### Hierarchy

- Controller

## Index

### Properties

- active
- features_
- getMapFn
- getStyleFn
- interaction
- line
- map_

### Methods

- $onInit
- clear_

## Properties

### active

active: boolean

- Defined in src/profile/drawLineComponent.js:100

### features_

features_: Collection<Feature<Geometry>>

- Defined in src/profile/drawLineComponent.js:105

### getMapFn

getMapFn: (() => Map)

- Defined in src/profile/drawLineComponent.js:110

#### Type declaration

- - (): Map

  - #### Returns Map

### getStyleFn

getStyleFn: (() => Style)

- Defined in src/profile/drawLineComponent.js:115

#### Type declaration

- - (): Style

  - #### Returns Style

### interaction

interaction: Draw

- Defined in src/profile/drawLineComponent.js:134

### line

line: LineString

- Defined in src/profile/drawLineComponent.js:90

### map_

map_: Map

- Defined in src/profile/drawLineComponent.js:95

## Methods

### $onInit

- $onInit(): void

- - Defined in src/profile/drawLineComponent.js:189

  Initialise the controller.

  #### Returns void

### clear_

- clear_(): void

- - Defined in src/profile/drawLineComponent.js:204

  Clear the overlay and profile line.

  #### Returns void

Generated using TypeDoc